Subject: Re: sdr error

From: [email-masked] (Dave Kristol)
Date: Fri, 25 Oct 96 16:17:40 EDT

Mark Leber <[email-masked]> wrote:
  > Has anybody seen the error "sdr: expected network type IN, got 0" and what
  > causes it?

Yes, and I've seen them previously, too.

With Mark Handley's help, I determined that someone is sending out bogus
sdr announcements that don't follow the sdp spec.  The offending line is

	o=Marc Newman 26638 0 IN IP4 206.109.96.3

I contacted Mark Newman, who says he's using Enhanced CUSEEME v2.1.
I'm guessing the program doesn't restrict the <username>, and created a
session with an embedded space that pushed each of the fields over one,
so "0" looked like the <network type>.

Mark says he will kill the session (at home) tonight.

Dave Kristol